Anonymous Login
2019-04-25 03:37 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001177v3.0 Release[All Projects] Generalpublic2013-08-28 11:18
ReporterKorkonius 
Assigned Tocaseydk 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0.0 
Summary0001177: MySQL servers with incorrect charset might break object integrity + proposed fix
DescriptionI just encountered this in EasyPHP 12.0.0's default configuration.

The default charset for MySQL connections is latin1 in EasyPHP and this caused values containing æøå (presumably other similar characters) to appear as the infamous ?.

In my case this is a pretty severe flaw as these characters doesn't pass either JSON or TBS (http://www.tinybutstrong.com) validation and caused several issues in my JS and several module templates.

According to Stack Overflow a "SET NAMES utf8" query before any other queries will fix this for people who do not have access to the MySQL settings... Maybe running this query as soon as a connection is established in the w2p_Database_Qeury class is a good idea to ensure consistent behavior independent of platforms and configurations?
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002697

caseydk (administrator)

Please let me know if this works as expected:

https://github.com/caseysoftware/web2project/commit/e44303bc7c2ef1639d8fdf8fb9e68a256735ff16
+Notes

-Issue History
Date Modified Username Field Change
2012-08-21 04:31 Korkonius New Issue
2012-11-21 21:50 caseydk Note Added: 0002697
2012-11-21 21:50 caseydk Status new => resolved
2012-11-21 21:50 caseydk Resolution open => fixed
2012-11-21 21:50 caseydk Assigned To => caseydk
2013-08-28 11:14 caseydk Fixed in Version => 3.0.0
2013-08-28 11:18 caseydk Status resolved => closed
+Issue History